# scrolwin.h File Reference

## Classes

class | wxScrolled< T >
| The wxScrolled class manages scrolling for its client area, transforming the coordinates according to the scrollbar positions, and setting the scroll positions, thumb sizes and ranges according to the area in view. More...

## Typedefs

typedef wxScrolled< wxPanel > | wxScrolledWindow
| Scrolled window derived from wxPanel.
typedef wxScrolled< wxWindow > | wxScrolledCanvas
| Alias for wxScrolled<wxWindow>.

## Enumerations

enum | wxScrollbarVisibility { wxSHOW_SB_NEVER = -1, wxSHOW_SB_DEFAULT, wxSHOW_SB_ALWAYS }
| Possible values for the second argument of wxScrolled::ShowScrollbars(). More...

## Enumeration Type Documentation

enum wxScrollbarVisibility

Possible values for the second argument of wxScrolled::ShowScrollbars().

Enumerator:

  wxSHOW_SB_NEVER | Never show the scrollbar at all.
  wxSHOW_SB_DEFAULT | Show scrollbar only if it is needed.
  wxSHOW_SB_ALWAYS | Always show scrollbar, even if not needed.

|  | [ top ]